[gimp/wip/Jehan/incremental-win-installer-improvements: 6/10] build: job win-installer-nightly should return failure appropriately.
- From: Jehan <jehanp src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gimp/wip/Jehan/incremental-win-installer-improvements: 6/10] build: job win-installer-nightly should return failure appropriately.
- Date: Wed, 19 May 2021 16:54:38 +0000 (UTC)
commit 7b32aa4ff83aa7b88b7983db281b4a28cebdfe35
Author: Jehan <jehan girinstud io>
Date: Tue May 18 21:13:11 2021 +0200
build: job win-installer-nightly should return failure appropriately.
build/windows/gitlab-ci/installer-gimp-msys2.sh | 7 +++++++
1 file changed, 7 insertions(+)
---
diff --git a/build/windows/gitlab-ci/installer-gimp-msys2.sh b/build/windows/gitlab-ci/installer-gimp-msys2.sh
index 29089b1c42..cce0c6fd09 100644
--- a/build/windows/gitlab-ci/installer-gimp-msys2.sh
+++ b/build/windows/gitlab-ci/installer-gimp-msys2.sh
@@ -33,3 +33,10 @@ MINOR_VERSION=`grep 'm4_define(\[gimp_minor_version' configure.ac |sed 's/m4_def
MICRO_VERSION=`grep 'm4_define(\[gimp_micro_version' configure.ac |sed
's/m4_define(\[gimp_micro_version.*\[\([0-9]*\)\].*/\1/'`
cd build/windows/installer
./compile.bat ${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION} ../../.. gimp-w32 gimp-w64 ../../..
gimp-w32 gimp-w64
+
+# Test if the installer was created and return success/failure.
+if [ -f "_Output/gimp-${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}-setup.exe" ]; then
+ exit 0
+else
+ exit 1
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]